# station_base.h File Reference

Base classes/functions for stations. More...

`#include "station_type.h"`
`#include "airport.h"`
`#include "oldpool.h"`
`#include "cargopacket.h"`
`#include "cargo_type.h"`
`#include "town_type.h"`
`#include "strings_type.h"`
`#include "date_type.h"`
`#include "vehicle_type.h"`
`#include "company_type.h"`
`#include "industry_type.h"`
`#include "core/geometry_type.hpp"`
`#include "viewport_type.h"`
`#include <list>`

Go to the source code of this file.

## Data Structures
struct | GoodsEntry
struct | RoadStop
| A Stop for a Road Vehicle. More...
struct | StationSpecList
struct | StationRect
| StationRect - used to track station spread out rectangle - cheaper than scanning whole map. More...
struct | Station
| Station data structure. More...
## Defines
#define | FOR_ALL_STATIONS_FROM(st, start) for (st = GetStation(start); st != NULL; st = (st->index + 1U < GetStationPoolSize()) ? GetStation(st->index + 1U) : NULL) if (st->IsValid())
#define | FOR_ALL_STATIONS(st) FOR_ALL_STATIONS_FROM(st, 0)
#define | FOR_ALL_ROADSTOPS_FROM(rs, start) for (rs = GetRoadStop(start); rs != NULL; rs = (rs->index + 1U < GetRoadStopPoolSize()) ? GetRoadStop(rs->index + 1U) : NULL) if (rs->IsValid())
#define | FOR_ALL_ROADSTOPS(rs) FOR_ALL_ROADSTOPS_FROM(rs, 0)
## Functions
static StationID | GetMaxStationIndex ()
static uint | GetNumStations ()
static bool | IsValidStationID (StationID index)
## Variables
static const byte | INITIAL_STATION_RATING = 175

## Detailed Description

Base classes/functions for stations.

Definition in file station_base.h.